Bug 567094 - Review Request: mumble - Voice chat suite aimed at gamers
Summary: Review Request: mumble - Voice chat suite aimed at gamers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 593238
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-21 16:16 UTC by Andreas Osowski
Modified: 2010-12-25 15:20 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-25 15:19:52 UTC
linuxdonald: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Osowski 2010-02-21 16:16:58 UTC
Spec URL: http://th0br0.fedorapeople.org/mumble-1.2.2-1/mumble.spec
SRPM URL: http://th0br0.fedorapeople.org/mumble-1.2.2-1/mumble-1.2.2-1.fc12.src.rpm
Description: 
Mumble provides low-latency, high-quality voice communication for gamers. 
It includes game linking, so voice from other players comes 
from the direction of their characters, and has echo 
cancellation so that the sound from your loudspeakers
won't be audible to other players.

I want to take over this package. https://bugzilla.redhat.com/show_bug.cgi?id=552351 has been approved by cwickert. New review request as the last package update was > 3 months ago

Comment 1 Julian G 2010-02-22 23:10:28 UTC
I've made some changes to the spec file:
http://files.4-web.net/mumble/mumble.spec

* Mon Feb 22 2010 Julian Golderer <j.golderer@novij.at> - 1.2.2-2
- Added mumble11x
- Added svg icon
- Added language files

I'm not sure if I handled the language files correct so I'm happy about some feedback :)

Comment 2 Thomas Kowaliczek 2010-03-16 01:52:20 UTC
Please fix the desktop file thing.

Comment 3 Andreas Osowski 2010-03-23 13:14:14 UTC
Spec file: http://th0br0.fedorapeople.org/mumble-1.2.2-3/mumble.spec
SRPM: http://th0br0.fedorapeople.org/mumble-1.2.2-3/mumble-1.2.2-3.fc12.src.rpm

* Tue Mar 23 2010 Andreas Osowski <th0br0@mkdir.name> - 1.2.2-3
- Added desktop file for mumble11x

Sorry for the delay again ;)

Comment 4 Thomas Kowaliczek 2010-03-23 22:26:37 UTC
I will do the review but not today and not on the next day but this week :)

Comment 5 Leszek Matok 2010-03-23 23:02:44 UTC
In order to build, it needed:

--- mumble.spec~	2010-03-23 14:12:12.000000000 +0100
+++ mumble.spec	2010-03-23 23:47:05.000000000 +0100
@@ -227,6 +227,7 @@
 %{_datadir}/icons/hicolor/48x48/apps/%{name}.png
 %{_datadir}/icons/hicolor/64x64/apps/%{name}.png
 %{_datadir}/applications/%{name}.desktop
+%{_datadir}/applications/%{name}11x.desktop
 #%{_datadir}/hal/fdi/policy/20thirdparty/11-input-mumble-policy.fdi
 %{_datadir}/%{name}/translations/%{name}_*.qm
 %{_datadir}/%{name}11x/translations/%{name}_*.qm

Comment 6 Julian G 2010-03-24 00:22:02 UTC
I've backported some changes from Mary Ellen Foster to the spec file and included the fix from Leszek Matok:
http://files.4-web.net/mumble/mumble.spec
http://files.4-web.net/mumble/mumble-1.2.2-4.fc12.src.rpm

* Wed Mar 24 2010 Julian Golderer <j.golderer@novij.at> - 1.2.2-4
- Added desktop file for mumble11x in files section
- Fix UTF-8 characters in changelog
- Remove unneeded dbus-qt-devel BuildRequirement to fix FTBFS #564996

Comment 7 Thomas Kowaliczek 2010-03-28 13:41:27 UTC
This can be fixed too:
[LinuxDonald@localhost SRPMS]$ rpmlint mumble-1.2.2-4.fc12.src.rpm
mumble.src: W: spelling-error Summary(en_US) gamers -> gamer, games, tamers
mumble.src: W: spelling-error %description -l en_US gamers -> gamer, games, tamers
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 8 Thomas Kowaliczek 2010-03-28 14:25:16 UTC
MUST: rpmlint must be run on every package. The output should be posted in the review.

[LinuxDonald@localhost x86_64]$ rpmlint *.rpm
mumble.x86_64: W: spelling-error Summary(en_US) gamers -> gamer, games, tamers
mumble.x86_64: W: spelling-error %description -l en_US gamers -> gamer, games, tamers
mumble-overlay.x86_64: W: spelling-error %description -l en_US gamers -> gamer, games, tamers
mumble-overlay.x86_64: W: spelling-error %description -l en_US ingame -> in game, in-game, Ingram
mumble-overlay.x86_64: W: no-documentation
mumble-overlay.x86_64: W: devel-file-in-non-devel-package /usr/lib64/mumble/libmumble.so
mumble-plugins.x86_64: W: spelling-error %description -l en_US gamers -> gamer, games, tamers
mumble-plugins.x86_64: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
mumble-plugins.x86_64: W: no-documentation
mumble-protocol.x86_64: W: spelling-error %description -l en_US gamers -> gamer, games, tamers
mumble-protocol.x86_64: W: no-documentation
murmur.x86_64: W: spelling-error %description -l en_US gamers -> gamer, games, tamers
murmur.x86_64: W: non-conffile-in-etc /etc/logrotate.d/murmur
murmur.x86_64: W: non-standard-uid /etc/rc.d/init.d/murmur mumble-server
murmur.x86_64: W: non-standard-gid /etc/rc.d/init.d/murmur mumble-server
murmur.x86_64: W: non-standard-uid /etc/murmur/murmur.ini mumble-server
murmur.x86_64: W: non-standard-gid /etc/murmur/murmur.ini mumble-server
murmur.x86_64: W: non-standard-uid /var/log/mumble-server mumble-server
murmur.x86_64: W: non-standard-gid /var/log/mumble-server mumble-server
murmur.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/murmur.conf
murmur.x86_64: W: non-standard-uid /etc/mumble-server.ini mumble-server
murmur.x86_64: W: non-standard-gid /etc/mumble-server.ini mumble-server
murmur.x86_64: W: non-standard-uid /var/run/mumble-server mumble-server
murmur.x86_64: W: non-standard-gid /var/run/mumble-server mumble-server
murmur.x86_64: W: non-standard-uid /usr/sbin/murmurd mumble-server
murmur.x86_64: W: non-standard-gid /usr/sbin/murmurd mumble-server
murmur.x86_64: W: non-standard-uid /var/lib/mumble-server mumble-server
murmur.x86_64: W: non-standard-gid /var/lib/mumble-server mumble-server
6 packages and 0 specfiles checked; 0 errors, 28 warnings.


MUST: The package must be named according to the  Package Naming Guidelines.
Okay

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
Okay

MUST: The package must meet the  Packaging Guidelines.
Okay

MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines.
Okay

MUST: The License field in the package spec file must match the actual license.
Okay

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
Okay

MUST: The spec file must be written in American English.
See in preview comment.

MUST: The spec file for the package MUST be legible.
Okay

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the  Source URL Guidelines for how to deal with this.
Okay

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Okay

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
Okay (it´s don´t needed here)

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
Okay

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OKay

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
Okay

MUST: Packages must NOT bundle copies of system libraries.
What abou celt and speex in the tarball?

MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
Okay

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
Okay

MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
Okay

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
Okay

MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
Okay

MUST: Each package must consistently use macros.
Okay

MUST: The package must contain code, or permissable content.
Okay

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
Okay

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
Okay

MUST: Header files must be in a -devel package.
No devel package. Okay

MUST: Static libraries must be in a -static package.
Okay not needed.

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
What about libmumble.so in mumble-overlay package?
and the .so files in mumble-plugins?
Is that okay?

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}.
Okay (no devel package)

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
Okay

MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
Okay (is that correct here: #install desktop file for mumble-overlay
#desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
#%{SOURCE3}
@Packager

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
Okay

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
Okay

MUST: All filenames in rpm packages must be valid UTF-8.
Okay

Comment 9 Thomas Kowaliczek 2010-03-28 14:27:20 UTC
On this things i need answers.


MUST: rpmlint must be run on every package. The output should be posted in the
review.

[LinuxDonald@localhost x86_64]$ rpmlint *.rpm
mumble.x86_64: W: spelling-error Summary(en_US) gamers -> gamer, games, tamers
mumble.x86_64: W: spelling-error %description -l en_US gamers -> gamer, games,
tamers
mumble-overlay.x86_64: W: spelling-error %description -l en_US gamers -> gamer,
games, tamers
mumble-overlay.x86_64: W: spelling-error %description -l en_US ingame -> in
game, in-game, Ingram
mumble-overlay.x86_64: W: no-documentation
mumble-overlay.x86_64: W: devel-file-in-non-devel-package
/usr/lib64/mumble/libmumble.so
mumble-plugins.x86_64: W: spelling-error %description -l en_US gamers -> gamer,
games, tamers
mumble-plugins.x86_64: W: spelling-error %description -l en_US plugin -> plug
in, plug-in, plugging
mumble-plugins.x86_64: W: no-documentation
mumble-protocol.x86_64: W: spelling-error %description -l en_US gamers ->
gamer, games, tamers
mumble-protocol.x86_64: W: no-documentation
murmur.x86_64: W: spelling-error %description -l en_US gamers -> gamer, games,
tamers
murmur.x86_64: W: non-conffile-in-etc /etc/logrotate.d/murmur
murmur.x86_64: W: non-standard-uid /etc/rc.d/init.d/murmur mumble-server
murmur.x86_64: W: non-standard-gid /etc/rc.d/init.d/murmur mumble-server
murmur.x86_64: W: non-standard-uid /etc/murmur/murmur.ini mumble-server
murmur.x86_64: W: non-standard-gid /etc/murmur/murmur.ini mumble-server
murmur.x86_64: W: non-standard-uid /var/log/mumble-server mumble-server
murmur.x86_64: W: non-standard-gid /var/log/mumble-server mumble-server
murmur.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/murmur.conf
murmur.x86_64: W: non-standard-uid /etc/mumble-server.ini mumble-server
murmur.x86_64: W: non-standard-gid /etc/mumble-server.ini mumble-server
murmur.x86_64: W: non-standard-uid /var/run/mumble-server mumble-server
murmur.x86_64: W: non-standard-gid /var/run/mumble-server mumble-server
murmur.x86_64: W: non-standard-uid /usr/sbin/murmurd mumble-server
murmur.x86_64: W: non-standard-gid /usr/sbin/murmurd mumble-server
murmur.x86_64: W: non-standard-uid /var/lib/mumble-server mumble-server
murmur.x86_64: W: non-standard-gid /var/lib/mumble-server mumble-server
6 packages and 0 specfiles checked; 0 errors, 28 warnings.

MUST: The spec file must be written in American English.
See in above

MUST: Packages must NOT bundle copies of system libraries.
What abou celt and speex in the tarball?

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package.
What about libmumble.so in mumble-overlay package?
and the .so files in mumble-plugins?
Is that okay?

MUST: Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section. If you feel that your packaged GUI application does not need
a .desktop file, you must put a comment in the spec file with your explanation.
Okay (is that correct here: #install desktop file for mumble-overlay
#desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
#%{SOURCE3}

@Packager

Comment 10 Thomas Kowaliczek 2010-03-28 14:30:18 UTC
Mamoru Tasaka i need your help here please :)

Comment 11 Mamoru TASAKA 2010-03-28 14:37:13 UTC
Would you specify for what issue you ask me an advice here?

Comment 12 Thomas Kowaliczek 2010-03-28 15:31:27 UTC
About that:

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package.
What about libmumble.so in mumble-overlay package?
and the .so files in mumble-plugins?
Is that okay?

Must it be in devel?

Comment 13 Mamoru TASAKA 2010-03-28 15:49:09 UTC
%{_libdir}/%{name}/libXXX.so is under %{_libdir}/%{name}, not
directly under %{_libdir}. These files are usually not system-wide
libraries and are usually plugins of the main program, being dlopen'ed
by the main program. And these files don't have to be in -devel
package.

Comment 14 Andreas Osowski 2010-03-28 17:45:45 UTC
Hello.
Thanks for reviewing the package so far.

Regarding celt & speex -->
see the qmake config options "no-bundled-speex" and "no-bundled-celt"

Regarding the spelling issues -->
http://www.merriam-webster.com/dictionary/gamers

I guess the dictionary is just lacking that one.

Comment 15 Thomas Kowaliczek 2010-03-28 18:57:06 UTC
And what about the other warnings? Can you fix it?

Comment 16 Mamoru TASAKA 2010-04-11 16:12:28 UTC
Would someone update the status of this bug?

Comment 17 Thomas Kowaliczek 2010-04-11 16:21:39 UTC
I´m wating of an answer from the reporter.

Comment 18 Andreas Osowski 2010-04-11 17:55:21 UTC
I'm sorry, I thought I had already posted the updated spec in here.

Spec URL: http://th0br0.fedorapeople.org/mumble-1.2.2-4/mumble.spec
SRPM URL: http://th0br0.fedorapeople.org/mumble-1.2.2-4/mumble-1.2.2-4.fc12.src.rpm

Comment 19 Thomas Kowaliczek 2010-04-11 19:16:11 UTC
It have 26 warning but i will approve that package.

Comment 20 Andreas Osowski 2010-04-12 18:46:18 UTC
Thanks for the review.

Package Change Request
======================
Package Name: mumble
New Branches: F-12 F-13 
Owners: th0br0
Updated Description: Voice chat suite aimed at gamers

igjurisk (former owner) went AWOL [1].
This package has been re-reviewed and approved.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=552351#c7

Comment 21 Kevin Fenzi 2010-04-14 04:43:30 UTC
cvs done.

Comment 22 Edward Rudd 2010-04-15 19:30:28 UTC
When will a "testing" binary package be available?

Comment 23 Fedora Update System 2010-04-18 12:24:00 UTC
mumble-1.2.2-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mumble-1.2.2-6.fc13

Comment 24 Fedora Update System 2010-04-20 13:17:29 UTC
mumble-1.2.2-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mumble'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mumble-1.2.2-6.fc13

Comment 25 John Schmitt 2010-04-29 23:19:47 UTC
$ sudo yum -y install murmur
...
Complete!
New leaves:
  murmur.x86_64

$ sudo service murmur start
/etc/init.d/murmur: line 16: /lib/lsb/init-functions: No such file or directory
Starting murmur: /etc/init.d/murmur: line 30: start_daemon: command not found

I made this change:
$ sudo diff /etc/init.d/murmur /etc/init.d/murmur~
16c16
< . /etc/init.d/functions
---
> . /lib/lsb/init-functions

$ sudo service murmur start
Starting murmur: /etc/init.d/murmur: line 30: start_daemon: command not found

Then I made this change:
$ diff /etc/init.d/murmur /etc/init.d/murmur~
30c30
< 	daemon $prog --PIDFile "$pidfile" --chuid: $MURMUR_USER:$MURMUR_GROUP --RunAsDaemon 1 $MURMUR_OPTS
---
> 	start_daemon $prog --PIDFile "$pidfile" --chuid: $MURMUR_USER:$MURMUR_GROUP --RunAsDaemon 1 $MURMUR_OPTS

$ sudo service murmur start
Starting murmur: /bin/bash: murmur: command not found

So I made this change:
$ diff /etc/init.d/murmur /etc/init.d/murmur~
18c18
< prog=/usr/sbin/murmurd
---
> prog=murmur

$ sudo service murmur start
Starting murmur: Unknown argument --PIDFile
touch: cannot touch `/var/log/subsys/murmur': No such file or directory


Am I doing it completely wrong?  As anyone actually run this?

$ rpm -ql murmur
/etc/dbus-1/system.d/murmur.conf
/etc/logrotate.d/murmur
/etc/mumble-server.ini
/etc/murmur/murmur.ini
/etc/rc.d/init.d/murmur
/usr/sbin/mumble-server
/usr/sbin/murmurd
/usr/share/doc/murmur-1.1.8
/usr/share/doc/murmur-1.1.8/CHANGES
/usr/share/doc/murmur-1.1.8/LICENSE
/usr/share/doc/murmur-1.1.8/README
/usr/share/doc/murmur-1.1.8/README.Linux
/usr/share/man/man1/murmurd.1.gz
/var/lib/mumble-server
/var/log/mumble-server
/var/run/mumble-server

$ uname -a
Linux mediapc 2.6.32.9-67.fc12.x86_64 #1 SMP Sat Feb 27 09:26:40 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

$ cat /etc/redhat-release 
Fedora release 12 (Constantine)

Comment 26 Andreas Osowski 2010-04-30 05:50:54 UTC
Hello John,
I'm sorry about that.
Apparently I overlooked that part (and the previous quality of the package in this area was lacking, too :( )
So I'll have pushed a fix by tonight hopefully.

Thanks for notifying me.

Comment 27 Andreas Osowski 2010-04-30 06:09:51 UTC
No, you were clear.
However, for a proper fix and to stick with naming schemes, I'll have to patch both, the specfile and the runscript so yeah :)

Comment 28 Andreas Osowski 2010-05-03 14:19:42 UTC
Sorry for the delay.
just to make sure, could you test-run the packages here: http://th0br0.fedorapeople.org/mumble-1.2.2-7/ ?

I'll likely push them tomorrow

Comment 29 Andreas Osowski 2010-05-03 17:54:21 UTC
Uh, are you on F13 / which arch?
Just do a mockbuild (or do a koji scratch build?)?

Comment 30 John Schmitt 2010-05-06 18:42:34 UTC
Should murmur depend on the redhat-lsb RPM?  On cursory examination, it appears that install redhat-lsb resolved an issue for me.

Comment 31 John Schmitt 2010-05-07 02:49:23 UTC
After installing redhat-lsb and hacking the init script, the service seems to start.  But when a client connects, I see this in the error log:

1 => <1:(-1)> Connection closed: Error while reading: error:1408F044:SSL routines:SSL3_GET_RECORD:internal error

Once you get there, I'd be happy to test murmur 1.2.2 if it was in the F12 (x86_64) updates-testing repo.

Comment 32 Fedora Update System 2010-05-09 14:23:13 UTC
mumble-1.2.2-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mumble-1.2.2-7.fc13

Comment 33 Fedora Update System 2010-05-09 14:54:26 UTC
mumble-1.2.2-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mumble-1.2.2-7.fc12

Comment 34 Fedora Update System 2010-05-10 17:06:19 UTC
mumble-1.2.2-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mumble'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mumble-1.2.2-7.fc12

Comment 35 Fedora Update System 2010-05-10 21:50:12 UTC
mumble-1.2.2-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mumble'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mumble-1.2.2-7.fc13

Comment 36 John Schmitt 2010-05-10 21:54:53 UTC
1) I saw only 1.2.2-6, not 1.2.2-7
2) Make sure redhat-lsb is installed when murmur is installed; shouldn't a
dependency be explicitly stated in the spec file?
3) initscript is still broken, this is how I changed it to make it work:

$ diff murmur /tmp/murmur
16d15
< . /etc/init.d/functions
19c18
< prog=/usr/sbin/murmurd
---
> prog=murmur
23c22
< MURMUR_USER=mumble-server
---
> MURMUR_USER=murmur
31c30
<  start_daemon -p "${pidfile}" -u $MURMUR_USER $prog $MURMUR_OPTS
---
> 	start_daemon $prog --PIDFile "$pidfile" --chuid: $MURMUR_USER:$MURMUR_GROUP --RunAsDaemon 1 $MURMUR_OPTS

Comment 37 John Schmitt 2010-05-14 02:42:31 UTC
murmur-1.2.2-7.fc12.x86_64 from updates-testing works for me.

Comment 38 Roman Galkin 2010-08-24 11:07:59 UTC
(In reply to comment #35)
> mumble-1.2.2-7.fc13 has been pushed to the Fedora 13 testing repository.  If
> problems still persist, please make note of it in this bug report.
>  If you want to test the update, you can install it with 
>  su -c 'yum --enablerepo=updates-testing update mumble'.  You can provide
> feedback for this update here:
> http://admin.fedoraproject.org/updates/mumble-1.2.2-7.fc13

Repository updates-testing no have mumble or murmur any version. And i can not find murmur-1.2.2 for Fedora 13 anywere :(

Old package not correct work, log on connect:

1 => <1:(-1)> Connection closed: Error while reading: error:1408F044:SSL routines:SSL3_GET_RECORD:internal error

Now set:
# yum list murmur
Installed:
murmur.x86_64     1.1.8-16.fc13         @fedora

Comment 39 Andreas Osowski 2010-08-24 11:48:34 UTC
I have been waiting for a reply on another bug report before pushing the updates to mumble / murmur but I don't think that that will come anytime soon.

Therefore, I'm most likely going to push the update later today.

murmur is not available due to bad karma, will be with the update though.

Comment 40 Roman Galkin 2010-08-24 12:02:46 UTC
(In reply to comment #39)
> I have been waiting for a reply on another bug report before pushing the
> updates to mumble / murmur but I don't think that that will come anytime soon.
> 
> Therefore, I'm most likely going to push the update later today.
> 
> murmur is not available due to bad karma, will be with the update though.

Thanks, i wait.

Comment 41 Roman Galkin 2010-08-25 16:34:59 UTC
> Therefore, I'm most likely going to push the update later today.
Sorry, i am waiting. If any problem - i must search another solution of problem :(

Comment 42 Fedora Update System 2010-08-25 18:56:31 UTC
mumble-1.2.2-10.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mumble-1.2.2-10.fc13

Comment 43 Roman Galkin 2010-08-25 19:47:12 UTC
Is package "mumble" contain "mumble-server" aka "murmur"?

Comment 44 Andreas Osowski 2010-08-25 19:55:39 UTC
See the linked build, but yes, as you can see at
http://koji.fedoraproject.org/koji/buildinfo?buildID=192062
the update does, of course, contain murmur.

Comment 45 Roman Galkin 2010-08-26 08:57:17 UTC
Very-very thanks, Andreas. This package work fine without any additional tuning. Just start and work :)

Comment 46 Thomas Kowaliczek 2010-10-06 21:27:41 UTC
Is that here done? Can it anyone close it?


Note You need to log in before you can comment on or make changes to this bug.